Summary: Script to upgrade FRHL5.2.1 to 2.2 kernel
Name: serialconsole
Version: 1.0
Release: 2
Group: Fermi
Copyright: GPL
Packager: Kirk Bauer <kbauer@fnal.gov>
Source: serialconsole.pl
BuildRoot: /tmp/serialconsole-build
BuildArch: noarch

%description
This package will install (and automatically run) the 'serialconsole'
script.  This script makes all the changes necessary to send
console output to both the serial port and the screen.  This
also creates a login prompt on the serial port and allows root
to login at this prompt.

%prep

%build

%install
cd ${RPM_SOURCE_DIR}
mkdir -p ${RPM_BUILD_ROOT}/usr/sbin
install -m 0700 serialconsole.pl ${RPM_BUILD_ROOT}/usr/sbin/serialconsole
mkdir ${RPM_BUILD_ROOT}/dev
mknod ${RPM_BUILD_ROOT}/dev/console c 5 1
%clean
rm -rf $RPM_BUILD_ROOT

%post
# Run the script
/usr/sbin/serialconsole /dev/ttyS0 >/dev/null

%files
%attr(-,root,root) /usr/sbin/serialconsole
/dev/console

